﻿' Add a reference to System.Management.
Imports System.Management

Public Class Form1
    ' Display the operating system's name.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Get the OS information.
        ' For more information from this query, see:
        '      http:'msdn.microsoft.com/library/aa394239.aspx
        Dim os_query As String = "SELECT * FROM Win32_OperatingSystem"
        Dim os_searcher As New ManagementObjectSearcher(os_query)
        For Each info As ManagementObject In os_searcher.Get()
            lblCaption.Text = info.Properties("Caption").Value.ToString().Trim()
            lblVersion.Text = "Version " & _
                info.Properties("Version").Value.ToString() & _
                " SP " & _
                info.Properties("ServicePackMajorVersion").Value.ToString() & "." & _
            info.Properties("ServicePackMinorVersion").Value.ToString()
        Next info

        ' Get number of processors.
        ' For more information from this query, see:
        '      http:'msdn.microsoft.com/library/aa394373.aspx
        Dim cpus_query As String = "SELECT * FROM Win32_ComputerSystem"
        Dim cpus_searcher As New ManagementObjectSearcher(cpus_query)
        For Each info As ManagementObject In cpus_searcher.Get()
            lblCpus.Text = _
                info.Properties("NumberOfLogicalProcessors").Value.ToString() & _
                " processors"
        Next info

        ' Get 32- versus 64-bit.
        ' For more information from this query, see:
        '      http:'msdn.microsoft.com/library/aa394373.aspx
        Dim proc_query As String = "SELECT * FROM Win32_Processor"
        Dim proc_searcher As New ManagementObjectSearcher(proc_query)
        For Each info As ManagementObject In proc_searcher.Get()
            lblBits.Text = info.Properties("AddressWidth").Value.ToString() & "-bit"
        Next info
    End Sub
End Class
